Subject: Re: library handling
To: Emmanuel Dreyfus <>
From: Alistair Crooks <>
List: tech-pkg
Date: 01/19/2001 13:44:26
On Fri, Jan 19, 2001 at 02:06:12PM +0100, Emmanuel Dreyfus wrote:
> > It's not immediately obvious (a) what scheme your version of pkgsrc is
> > using, (b) what is in the PLIST which is used to generate the PLIST, (c)
> > whether you're using an old generated PLIST (look at the work/.PLIST file),
> > and so it's difficult to give you any certain answers.
> (a) I think I'm using the old behavior. Should I upgrade pkgsrc?

In general, yes. You should use the most uptodate version of pkgsrc
that you can. More specifically, in this case, "yes, please upgrade

> (b) I generate a dynamic PLIST on the fly: each installed file or link
> is added to the list

There are other packages which do this - it shouldn't be a problem.

> (c) I'm generating the PLIST myself. Is this the problem?

I don't think it should cause any extra problems. The latest pkgsrc
is meant to sit better with ELF platforms.